/*
 * Code for class WEL_COMPOSITION_STRING_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F85_1133(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1134(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1135(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1136(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1137(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1138(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1139(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1140(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1141(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1142(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1143(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1144(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1145(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1146(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1147(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1148(EIF_REFERENCE);
extern EIF_TYPED_VALUE F85_1149(EIF_REFERENCE);
extern void EIF_Minit85(void);

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {WEL_COMPOSITION_STRING_CONSTANTS}.gcs_compreadstr */
EIF_TYPED_VALUE F85_1133 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.gcs_compreadattr */
EIF_TYPED_VALUE F85_1134 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.gcs_compreadclause */
EIF_TYPED_VALUE F85_1135 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.gcs_compstr */
EIF_TYPED_VALUE F85_1136 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.gcs_compattr */
EIF_TYPED_VALUE F85_1137 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.gcs_compclause */
EIF_TYPED_VALUE F85_1138 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.gcs_cursorpos */
EIF_TYPED_VALUE F85_1139 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 64L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.gcs_deltastart */
EIF_TYPED_VALUE F85_1140 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 128L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.gcs_resultreadstr */
EIF_TYPED_VALUE F85_1141 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 256L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.gcs_resultreadclause */
EIF_TYPED_VALUE F85_1142 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 512L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.gcs_resultstr */
EIF_TYPED_VALUE F85_1143 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1024L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.gcs_resultclause */
EIF_TYPED_VALUE F85_1144 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2048L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.scs_setstr */
EIF_TYPED_VALUE F85_1145 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 9L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.scs_changeattr */
EIF_TYPED_VALUE F85_1146 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 18L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.scs_changeclause */
EIF_TYPED_VALUE F85_1147 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 36L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.scs_setreconvertstring */
EIF_TYPED_VALUE F85_1148 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 65536L);
	return r;
}

/* {WEL_COMPOSITION_STRING_CONSTANTS}.scs_queryreconvertstring */
EIF_TYPED_VALUE F85_1149 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 131072L);
	return r;
}

void EIF_Minit85 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
